#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 projectionViewMatrix;

out vec3 fragmentNormal;
out vec2 fragmentUV;
out vec4 fragmentPosition;

void main(void)
{
	fragmentNormal = mat3(modelMatrix) * normal;
	fragmentUV = uv;
	fragmentPosition = modelMatrix * vec4(position, 1.0f);

	gl_Position = projectionViewMatrix * fragmentPosition;
}
