#version 330

uniform sampler2D texDiffuseColor;
uniform sampler2D texFragPosition;

uniform vec3 lightPosition;
uniform vec3 ambientColor;
uniform float distanceLimit;

smooth in vec2 fragmentUV;

out vec4 fragColor;

void main(void)
{
	vec3 lightPos = lightPosition;
	float fragLightDist;
	vec3 fragPosition = texture(texFragPosition, fragmentUV).xyz;
	float distanceFactor;

	fragColor = vec4(0.0, 0.0, 0.0, 0.0);

	fragLightDist = distance(lightPos.xyz, fragPosition);
	distanceFactor = fragLightDist / distanceLimit;

	if(distanceFactor <= 1.f) {
		fragColor = (0.2+distanceFactor*distanceFactor*0.8) * vec4(ambientColor, 1.f) * texture(texDiffuseColor, fragmentUV);
	}
}
